<?php 
    $wp_customize->add_section(
        'topcategories_area',
        array(
            'title' => __( 'Category Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'topcategories_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'topcategories_area_disable',
            array(
                'settings'      => 'topcategories_area_disable',
                'section'       => 'topcategories_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'topcategories', 'topcategories_area', $color='#F6E8DA', get_template_directory_uri().'/images/default.png', 'img');

lzCustomLable($wp_customize, 'topcatarea_padding', 'topcategories_area', 'Section Padding');

$wp_customize->add_setting(
    'topcategories_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'topcategories_areaTpadding',
    array(
        'settings'      => 'topcategories_areaTpadding',
        'section'       => 'topcategories_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'topcategories_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '8.7em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'topcategories_areaBpadding',
    array(
        'settings'      => 'topcategories_areaBpadding',
        'section'       => 'topcategories_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'topcatarea_heading', 'topcategories_area', 'Section Heading');

$wp_customize->add_setting(
        'topcategories_title',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Our Category', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'topcategories_title',
        array(
            'settings'      => 'topcategories_title',
            'section'       => 'topcategories_area',
            'type'          => 'text',
            'label'         => __( 'Heading', 'luzuk-premium' )
        )
    );

lzCustomLable($wp_customize, 'topcatarea_sec_clr', 'topcategories_area', 'Category Color Setting');

addColorPalatOption($wp_customize, 'topcategories_headclr', 'topcategories_area', 'Heading Color', '#543602');

addColorPalatOption($wp_customize, 'topcategories_headbrdclr', 'topcategories_area', 'Heading Border Color', '#543602');

addColorPalatOption($wp_customize, 'topcategories_cattitle', 'topcategories_area', 'Category Title Color', '#332102');

addColorPalatOption($wp_customize, 'topcategories_cattimgcurvebrdclr', 'topcategories_area', 'Image Curve Border Color', '#654102');

addColorPalatOption($wp_customize, 'topcategories_cattimgbrdclr', 'topcategories_area', 'Image Border Color', '#fff');

addColorPalatOption($wp_customize, 'topcategories_cattimghvovlyclr', 'topcategories_area', 'Image Hover Overlay Color', '#332102');

lzCustomLable($wp_customize, 'topcatarea_sec_clr', 'topcategories_area', 'Category Image Display Setting');

lzCustomLable($wp_customize, 'topcatarea_left_image', 'topcategories_area', 'Left Side Image');

// to show & hide Image
$wp_customize->add_setting( 'category_img_display1' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'category_img_display1', array( 'label' => 'Image Display', 'section' => 'topcategories_area', 'settings' => 'category_img_display1', 'type' => 'radio', 'choices' => array( 'show' => 'Show Image', 'hide' => 'Hide Image', ), ) );

lzCustomLable($wp_customize, 'topcatarea_right_image', 'topcategories_area', 'Right Side Image');

// to show & hide Image
$wp_customize->add_setting( 'category_img_display2' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'category_img_display2', array( 'label' => 'Image Display', 'section' => 'topcategories_area', 'settings' => 'category_img_display2', 'type' => 'radio', 'choices' => array( 'show' => 'Show Image', 'hide' => 'Hide Image', ), ) );